//
//  ViewController.m
//  RXProgressCover
//
//  Created by iXcoder on 16/5/15.
//  Copyright © 2016年 iXcoder. All rights reserved.
//

#import "ViewController.h"
#import "UIView+RXProgressCover.h"

@interface ViewController ()

@property (nonatomic, strong) UIImageView *imgView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    
    self.imgView = [[UIImageView alloc] initWithFrame:CGRectMake(80, 100, 200, 250)];
    self.imgView.image = [UIImage imageNamed:@"6608733_081219096000_2"];
    self.imgView.contentMode = UIViewContentModeScaleAspectFill;
    [self.view addSubview:self.imgView];
    
    [NSTimer scheduledTimerWithTimeInterval:0.1 target:self selector:@selector(onTimerFired:) userInfo:nil repeats:YES];
}

- (void)onTimerFired:(NSTimer *)timer
{
    CGFloat rate = self.imgView.rate;
    rate += 0.01;
    self.imgView.rate = rate;
    if (rate >= 1.0) {
        [timer invalidate];
        [self.imgView removeProgressCover:YES];
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
